package template_request

import (
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
)

type TemplateTemplategroupListRequest struct {
	// <ext>core:true;format:date</ext> 【查询范围结束时间】查询范围结束时间 【作用】 可支持查询传入时间范围内所有创建了模板或进行了模板更新的分组 【传参】 日期格式：yyyy-MM-dd HH:mm:ss；不传值默认为：无限制。
	UpdateTimeEnd string `json:"updateTimeEnd,omitempty"`
	// <ext>core:true;format:date</ext> 【查询范围开始时间】查询范围开始时间 【作用】 可支持查询传入时间范围内所有创建了模板或进行了模板更新的分组 【传参】 日期格式：yyyy-MM-dd HH:mm:ss；不传值默认为：无限制。
	UpdateTimeStart string `json:"updateTimeStart,omitempty"`
	// <ext>core:true</ext> 【是否查询已删除的数据】是否查询已删除的数据 【作用】 false：不查询已经删除的模板的分组 true：查询已经删除的模板的分组 不传值默认为：false 【传参】 取值范围：true（查询），false（不查询）；不传值默认为：false（不查询）。
	GetDeleteData string `json:"getDeleteData,omitempty"`
}

func (obj TemplateTemplategroupListRequest) GetUrl() string {
	return "/template/templategroup/list"
}

func (obj TemplateTemplategroupListRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewGetHttpParameter()
	parameter.AddParam("updateTimeEnd", obj.UpdateTimeEnd)
	parameter.AddParam("updateTimeStart", obj.UpdateTimeStart)
	parameter.AddParam("getDeleteData", obj.GetDeleteData)
	return parameter
}
